Bug 622524 - condor-wallaby-client updates for new config locations
condor-wallaby-client updates for new config locations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-client (Show other bugs)
Development
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Robert Rati
Tomas Rusnak
:
Depends On: 622464
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 11:48 EDT by Robert Rati
Modified: 2011-03-17 14:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-21 14:45:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2010-08-09 11:48:20 EDT
Description of problem:
Need to update condor-wallaby-client to work with the new configuration file locations:
1) Drop 99configd.config in /etc/condor/config.d
2) Depend on condor-7.4.4-0.9
3) 99configd.config should define LOCAL_CONFIG_FILE and set LOCAL_CONFIG_DIR =
4) configd should write to the file defined in LOCAL_CONFIG_FILE

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Robert Rati 2010-08-11 16:39:32 EDT
Fixed in:
condor-wallaby-client-3.4-1
Comment 3 Tomas Rusnak 2010-08-18 03:41:31 EDT
Problem reproduced:

# rpm -qa condor-wallaby-client
condor-wallaby-client-3.3-1.el4

# rpm -ql condor-wallaby-client
/usr/sbin/condor_configd
/usr/share/doc/condor-wallaby-client-3.3
/usr/share/doc/condor-wallaby-client-3.3/LICENSE-2.0.txt
/var/lib/condor/config/99configd.config
Comment 4 Tomas Rusnak 2010-08-26 08:59:17 EDT
Tested on x86 and x86_64 with:

condor-wallaby-client-3.4-1.el4
condor-wallaby-client-3.4-1.el5

# rpm -ql condor-wallaby-client
/etc/condor/config.d/99configd.config
/usr/sbin/condor_configd
/usr/share/doc/condor-wallaby-client-3.4
/usr/share/doc/condor-wallaby-client-3.4/LICENSE-2.0.txt

# grep "LOCAL_CONFIG_FILE" /etc/condor/config.d/*
/etc/condor/config.d/99configd.config:LOCAL_CONFIG_FILE = $(LOCAL_DIR)/wallaby_node.config
/etc/condor/config.d/99configd.config:REQUIRE_LOCAL_CONFIG_FILE = FALSE

Condor wallaby client was updated to the new configuration file. LOCAL_CONFIG_FILE is now defined in 99configd.config.

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.